> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ERC1155 Token Transfers Advanced Filter

> Retrieves ERC1155 token transfers with advanced from and to address filtering.

<Badge icon="flask" color="yellow">Beta</Badge>

Explore and preview data from our [Advanced Filter](https://etherscan.io/advanced-filter) page.

## Query parameters.

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, such as `1` for Ethereum or `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="token1155tx" type="string">
  Set to `token1155tx` for this endpoint.
</ParamField>

<ParamField query="contractaddress" default="0x76be3b62873462d2142405439777e971754e8e77" type="string">
  The ERC1155 token contract address to filter transfers by.
</ParamField>

<ParamField query="from" default="0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0" type="string">
  The sender address to filter transactions by.
</ParamField>

<ParamField query="to" default="0x71c7656ec7ab88b098defb751b7401b5f6d8976f" type="string">
  The recipient address to filter transactions by.
</ParamField>

<ParamField query="fromto_opr" default="or" type="string">
  Address filter operator, either `and` or `or`.

  Use `fromto_opr=and` when both `from` and `to` must match. Use `fromto_opr=or` when either `from` or `to` can match.
</ParamField>

<ParamField query="startblock" default="0" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="latest" type="string">
  Ending block number to search to, or `latest` for the latest block.
</ParamField>

<ParamField query="sort" default="desc" type="string">
  Sort order, either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="10" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "13472395",
        "timeStamp": "1634973285",
        "hash": "0x643b15f3ffaad5d38e33e5872b4ebaa7a643eda8b50ffd5331f682934ee65d4d",
        "nonce": "41",
        "blockHash": "0xa5da536dfbe8125eb146114e2ee0d0bdef2b20483aacbf30fed6b60f092059e6",
        "transactionIndex": "100",
        "gas": "140000",
        "gasPrice": "52898577246",
        "gasUsed": "105030",
        "cumulativeGasUsed": "11739203",
        "input": "deprecated",
        "methodId": "0x3e6b214b",
        "functionName": "",
        "contractAddress": "0x76be3b62873462d2142405439777e971754e8e77",
        "from": "0x1e63326a84d2fa207bdfa856da9278a93deba418",
        "to": "0x83f564d180b58ad9a02a449105568189ee7de8cb",
        "tokenID": "10371",
        "tokenValue": "1",
        "tokenName": "parallel",
        "tokenSymbol": "LL",
        "confirmations": "9995266"
      }
    ]
  }
  ```
</ResponseExample>
